Download it now!
Bug 117190 - Formatting is applied to outer table when Embedding a formatted table (using a table style) into a table cell
Summary: Formatting is applied to outer table when Embedding a formatted table (using ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2018-04-23 16:40 UTC by Telesto
Modified: 2019-02-03 14:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast (284.36 KB, video/mp4)
2018-04-24 09:24 UTC, Telesto
Details
Example file (9.88 KB, application/vnd.oasis.opendocument.text)
2018-04-24 18:02 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-23 16:40:57 UTC
Description:
Formatting is applied to outer table when Embedding a formatted table (using a table style) into a table cell

Steps to Reproduce:
1. Insert a table (default 'style')
2. Insert a table using Format -> Insert and select a style Box list blue

Actual Results:  
Box list blue is also applied to the outer table

Expected Results:
Shouldn't happen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: 2ed7c02478968852d7d39c2c4677f2ecf3441bc7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-22_01:00:56
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Jacques Guilleron 2018-04-24 08:41:59 UTC
Hi Telesto,

I don't reproduce with
LO  6.1.0.0.alpha0+ Build ID: 6325d571cae03357ea13354deea9df279377c730
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-24_05:47:43
Locale: fr-FR (fr_FR); Calc: CL
The fist table keeps its default style.
Comment 2 Telesto 2018-04-24 09:24:09 UTC
Created attachment 141585 [details]
Screencast
Comment 3 Jacques Guilleron 2018-04-24 13:49:55 UTC
Ok, I better see where is the problem.

Doing that this way, you first add an unformated table, next you add a two rowed, two columned table with a style at the first cell. Do you think only change the style the second time? It is not clear.
If this is the case, you have to select your table, then the tables tab in Styles Sidebar, and apply your choice, or choose more options the first time to get access to the table wizard.
What you think of?
Cordially,

Jacques
Comment 4 Telesto 2018-04-24 18:02:11 UTC
Created attachment 141605 [details]
Example file

I'm not quite following: different example, same effect.

1. Open the attached file
2. Select a table cell
3. Table -> Insert Table -> Select a table style, except for "none".
Comment 5 Xisco Faulí 2018-04-25 08:01:19 UTC
I can reproduce the screencast's problem in

Version: 6.1.0.0.alpha0+
Build ID: e31a5365091d8658ecce374bbc339a9d832e1a15
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 6 Xisco Faulí 2018-04-25 08:12:00 UTC
Regression introduced by:

author	Furkan Tokac <furkantokac34@gmail.com>	2018-02-22 23:17:59 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2018-02-28 10:50:56 +0100
commit	f7bf3cf5c9c7f72da0c881b50c2ccc4b6d550af2 (patch)
tree	eee231c2474bdfd77e55ffca4c580a984ba67acc
parent	e07a1a5d6957dbb4dc19cb4d274406e8e075c729 (diff)
tdf#113558: Replace 'AutoFormat' button in insert table dialog.
Writer > Table > Insert Table... > AutoFormat part is moved to
"Insert Table..." dialog box with realtime style preview.

Bisected with: bibisect-linux64-6.1

Adding Cc: to Furkan Tokac
Comment 7 Furkan Tokac 2018-04-27 00:04:41 UTC
It is reproducable for me too. I'm investigating the problem.

Version: 6.1.0.0.alpha0+
Build ID: d8808e1200416ef51f3aef61a2a3e6b49150a394
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group